/**
 * @file Javascript behaviors for the Compound Interest Calculator module.
 */

(function ($) {
  // Make sure our objects are defined.
  Drupal.CCalculator = Drupal.CCalculator || {};

  Drupal.CCalculator.calculate = function(form) {
    ci = (form.principal_ci.value * Math.pow(1+(form.interest_rate_ci.value/(form.compounded_ci.value * 100)),form.years_ci.value * form.compounded_ci.value));
    form.result_ci.value = ci.toFixed(2);
  }

  Drupal.behaviors.financial_ci = {
    attach: function (context, settings) {

      $("#edit-submit-button-ci", context).click(function(event) {
        Drupal.CCalculator.calculate(this.form);
        return false;
      });
	}
  };
})(jQuery);
