/**
 * @file Javascript behaviors for the Loan EMI Calculator module.
 */

(function ($) {
  // Make sure our objects are defined.
  Drupal.LCalculator = Drupal.LCalculator || {};

  Drupal.LCalculator.calculate = function(form) {
  	principal = form.principal_le.value;
    interest = form.interest_rate_le.value;
    years = form.years_le.value;

    mi = (interest/1200);
    months = years * 12;
    le = ((principal * mi * Math.pow(1+mi,months)))/(Math.pow(1+mi,months) - 1);
    
  	form.result_le.value = le.toFixed(2);
  }

  Drupal.behaviors.financial_le = {
    attach: function (context, settings) {

      $("#edit-submit-button-le", context).click(function(event) {
        Drupal.LCalculator.calculate(this.form);
        return false;
      });
	}
  };
})(jQuery);
